#ifndef GAMEPORTAPP_H
#define GAMEPORTAPP_H

#include <Application.h>
#include <Window.h>

class BTSGameStickThread;
class BTSGamePortView;
class BTSGamePortWindow;

class BTSGamePortApp : public BApplication
{
public:
			BTSGamePortApp();
			
	// Inherited from BLooper
	virtual	void	MessageReceived(BMessage *message);

	// Inherited from BApplication
	virtual void	ReadyToRun();
	virtual bool	QuitRequested();

protected:
	BTSGamePortWindow				*fWindow;
	
private:
};

//====================================================
// This is needed so that we can  capture the close
// box.
//
//====================================================
class BTSGamePortWindow : public BWindow
{
public:
				BTSGamePortWindow(BRect frame);
				
	virtual	bool	QuitRequested();
			void	DisplayData(BMessage *message);

protected:
	BTSGameStickThread	*fGameStickThread;
	BTSGamePortView		*fGamePortView;

private:
};

#endif
