#include "gamestickmessage.h"

BTSGameStickMessage::BTSGameStickMessage(const BTSGameStick &gameStick)
	: BMessage(BTS_GP_INFO)
{
	AddFloat("zerox", gameStick.fZeroX);
	AddFloat("zeroy", gameStick.fZeroY);
	AddFloat("minx", gameStick.fMinX);
	AddFloat("maxx", gameStick.fMaxX);
	AddFloat("miny", gameStick.fMinY);
	AddFloat("maxy", gameStick.fMaxY);
	AddFloat("minxrange", gameStick.fMinXRange);
	AddFloat("minyrange", gameStick.fMinYRange);
	AddFloat("maxxrange", gameStick.fMaxXRange);
	AddFloat("maxyrange", gameStick.fMaxYRange);
	AddFloat("lastx", gameStick.fLastX);
	AddFloat("lasty", gameStick.fLastY);
	AddDouble("timestamp", gameStick.fLastTimestamp);

}
